Oracle Coherence for C++ API
Release 3.6.0.0
E15728-01

- Main Page
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# ConverterCollections::ConverterMapListener Class Reference

`#include <coherence/util/ConverterCollections.hpp>`

Inherits Object, and MapListener.

List of all members.

## Detailed Description

A converter MapListener that converts events of the underlying MapListener for the underlying map.

## Public Types
typedef spec::Handle | Handle
| ConverterMapListener Handle definition.
typedef spec::View | View
| ConverterMapListener View definition.
typedef spec::Holder | Holder
| ConverterMapListener Holder definition.
## Public Member Functions
virtual void | entryInserted (MapEvent::View vEvent)
  | Invoked when a map entry has been inserted. Parameters:
  | vEvent | the MapEvent carrying the insert information
virtual void | entryUpdated (MapEvent::View vEvent)
  | Invoked when a map entry has been updated. Parameters:
  | vEvent | the MapEvent carrying the update information
virtual void | entryDeleted (MapEvent::View vEvent)
  | Invoked when a map entry has been removed. Parameters:
  | vEvent | the MapEvent carrying the delete information
virtual bool | equals (Object::View v) const
virtual size32_t | hashCode () const
| Return a hash code value for the Object. This method is supported for the benefit of hash-based containers. The general contract of `hashCode` is: Whenever it is invoked on the same Object more than once during an execution of an application, the `hashCode` method must consistently return the same value, provided no information used in `equals` comparisons on the object is modified. This value need not remain consistent from one execution of an application to another execution of the same application. If two Objects are equal according to the `equals` method, then calling the `hashCode` method on each of the two Objects must produce the same value. It is not required that if two Objects are unequal according to the `equals` method, then calling the `hashCode` method on each of the two objects must produce distinct results. However, the programmer should be aware that producing distinct results for unequal objects may improve the performance of hash-based containers. The default implementation is identity based. Returns: a hash code value for this Object
virtual ObservableMap::Handle | getObservableMap ()
| Get the underlying ObservableMap.
virtual ObservableMap::View | getObservableMap () const
| Get the underlying ObservableMap.
virtual MapListener::Handle | getMapListener ()
| Get the underling MapListener.
virtual MapListener::View | getMapListener () const
| Get the underling MapListener.
virtual Converter::View | getConverterKeyUp () const
| Get the Converter used to view an underlying CacheEvent's key through.
virtual Converter::View | getConverterValueUp () const
| Get the Converter used to view an underlying CacheEvent's value through.
## Protected Member Functions
| ConverterMapListener (ObservableMap::Handle hMap, MapListener::Handle hListener, Converter::View vConvKey, Converter::View vConvVal)
| Create a ConverterMapListener that converts events of the underlying MapListener for the underlying map.
## Protected Attributes
MemberHandle < ObservableMap > | m_hMap
| The converting Map the will be the source of converted events.
MemberHandle < MapListener > | m_hListener
| The underlying MapListener.
MemberView< Converter > | m_vConvKey
| The Converter to view an underlying CacheEvent's key.
MemberView< Converter > | m_vConvVal
| The Converter to view an underlying CacheEvent's value.

## Member Function Documentation

virtual ObservableMap::Handle getObservableMap | ( |  | ) | `[virtual]`

Get the underlying ObservableMap.

Returns:
  the underlying map

virtual ObservableMap::View getObservableMap | ( |  | ) | const `[virtual]`

Get the underlying ObservableMap.

Returns:
  the underlying map

virtual MapListener::Handle getMapListener | ( |  | ) | `[virtual]`

Get the underling MapListener.

Returns:
  the underlying listener

virtual MapListener::View getMapListener | ( |  | ) | const `[virtual]`

Get the underling MapListener.

Returns:
  the underlying listener

virtual Converter::View getConverterKeyUp | ( |  | ) | const `[virtual]`

Get the Converter used to view an underlying CacheEvent's key through.

Returns:
  the Converter used to view an underlying CacheEvent's key

virtual Converter::View getConverterValueUp | ( |  | ) | const `[virtual]`

Get the Converter used to view an underlying CacheEvent's value through.

Returns:
  the Converter used to view an underlying CacheEvent's value

The documentation for this class was generated from the following file:

- coherence/util/ConverterCollections.hpp

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.